<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Live Aissistant</title>
    <style>
        #messages {
            margin-bottom: 10px;
            overflow-y: scroll;
            height: 200px;
            border: 1px solid #ccc;
            padding: 10px;
        }
    </style>
</head>
<body>
    <div id="conversation">
        <h1>IPTP conversation</h1>
        <h4 id="subject">Subject: Default Subject</h4>

        <script>
            function updateSubject(newSubjectValue) {
                const subject = document.getElementById('subject');
                const xhr = new XMLHttpRequest();
                xhr.onreadystatechange = function() {
                    if (this.readyState === 4 && this.status === 200) {
                        const data = JSON.parse(this.responseText);
                        subject.textContent = 'Subject: ' + data.subject;
                    }
                };
                xhr.open('POST', '/my_view/', true);
                xhr.setRequestHeader('Content-Type', 'application/json');
                xhr.send(JSON.stringify({ subject: newSubjectValue }));
            }

            // Example of updating the subject after a button click
            const button = document.getElementById('update-button');
            button.addEventListener('click', function() {
                const newSubjectValue = prompt('Enter new subject value:');
                if (newSubjectValue !== null) {
                    updateSubject(newSubjectValue);
                }
            });
        </script>



        <div id="messages"></div>
        <input type="text" id="inputMessage" placeholder="Type a message...">
        <button id="sendMessage">Send</button>
    </div>

    <script>
        // Initialize variables
        var messageContainer = document.getElementById("messages");
        var messageInput = document.getElementById("inputMessage");
        var sendMessageButton = document.getElementById("sendMessage");

        // Add event listener to the send button
        sendMessageButton.addEventListener("click", sendMessage);

        // Add event listener to the input field
        messageInput.addEventListener("keypress", function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                sendMessage();
            }
        });

        // Function to send a message
        function sendMessage() {
            var messageText = messageInput.value;

            // Clear the input field
            messageInput.value = "";

            // Add the user's message to the message container
            var messageElement = document.createElement("div");
            messageElement.classList.add("user-message");
            messageElement.innerText = "You: " + messageText;
            messageContainer.appendChild(messageElement);

            // Call the bot to respond
            getResponse(messageText);
        }

        // Function to get a response from the bot
        function getResponse(message) {
            // Send the user's message to the server using fetch
            fetch('chat/', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRFToken': getCookie('csrftoken')
                },
                body: JSON.stringify({
                    message: message
                })
            })
            .then(response => response.json())
            .then(data => {
                // Add the bot's message to the message container
                var messageElement = document.createElement("div");
                messageElement.classList.add("bot-message");
                messageElement.innerText = "IPTP: " + data.message;
                messageContainer.appendChild(messageElement);
            })
            .catch(error => {
                console.error(error);
            });
        }
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie !== '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = cookies[i].trim();
                    if (cookie.substring(0, name.length + 1) === (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

    </script>
</body>
</html>
